Subject: Re: [bug#47815] [PATCH 1/3] gnu: music: python-abjad: Abjad Improvements.

From: "jgart" <[email-masked]>
Date: Sat, 17 Apr 2021 16:10:25 +0000

Hi Maxime,

I tried your suggestion but it fails with the following exception:

Backtrace:

...
In guix/build-system/python.scm:
    162:0  3 (python-build _ _ _ #:tests? _ #:test-target _ # _ # _ # …)
In ice-9/boot-9.scm:
  1669:16  2 (raise-exception _ #:continuable? _)
  1669:16  1 (raise-exception _ #:continuable? _)
  1669:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1669:16: In procedure raise-exception:
Unrecognized keyword: #:disallowed-references

It looks like python-build-system might not support #:disallowed-references.

Is that correct?

all the best,

jgart

ps

I did a quick search for it with ripgrep and it seems like only gnu, meson, and glib-or-gtk support it currently:

rg "\#:disallowed-references" -t lisp | rg build-system

guix/build-system/meson.scm:                              #:disallowed-references
guix/build-system/gnu.scm:                                #:disallowed-references
guix/build-system/gnu.scm:                                #:disallowed-references
guix/build-system/glib-or-gtk.scm:                        #:disallowed-references

April 17, 2021 5:12 AM, "Maxime Devos" <[email-masked]> wrote:

> jgart schreef op vr 16-04-2021 om 17:59 [+0000]:
> 
>> Hi Maxime,
>> 
>> Thank you for the review! I attached a new patch set.
>> 
>> I reverted to Bonface's original idea of having lilypond only as a native input
>> in the package definition.
> 
> If you do that, make sure "abjad" does not retain a reference to lilypond,
> as otherwise when cross-compiling, "abjad" will use a lilypond built for the
> incorrect architecture. You can use #:disallowed-references ,lilypond for this.
> 
> (TODO: there should be a #:disallowed-refences/native variant. But
> #:disallowed-references will suffice for now.)
> 
> I'm currently occupied with some other things, so I can't review your revised
> patches yet.
> 
> Greetings,
> Maxime.